V1 and V2Products (V1)
Remove products from a relationship
Remove products from an existing relationship
A 204 No Content status code is returned upon success
Request format
Request format is the same used to assign products to a relationship except for the 'quantity' field, which is not necessary and will be ignored.
Authorization
bearerAuth AuthorizationBearer <token>
Obtain a token via POST /auth/api/get-token (15 minute lifetime), then send it as Authorization: Bearer <token>.
In: header
Path Parameters
product_id*string
relationship_id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST 'https://example.com/api/v1/products/string/relationships/string/unlink' \ -H 'Content-Type: application/json' \ --data-raw '{ "product_relationships": [ { "product_id": "5d8cf9114b1830f2192eff0c" }, { "product_id": "5d8cf911326dbd40982eff0c" } ]}'Empty